# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-10-20 09:24
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('event_viewer', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SatelliteImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image_status', models.BooleanField(default=False)),
                ('approved_status', models.BooleanField(default=True)),
                ('satellite_name', models.CharField(max_length=50)),
                ('cloud_coverage', models.FloatField()),
                ('scene_name', models.CharField(max_length=156)),
                ('scene_id', models.CharField(max_length=156)),
                ('date', models.DateField()),
                ('image_url', models.URLField(max_length=300)),
                ('data_geometry', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=4326)),
                ('band_combinations', models.CharField(blank=True, default=None, max_length=150, null=True)),
                ('any_params', models.CharField(blank=True, default=None, max_length=200, null=True)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='event_viewer.Event')),
            ],
            options={
                'ordering': ('-pk',),
            },
        ),
    ]
